Interface PatchPanel

All Known Implementing Classes:
PatchPanelJson

public interface PatchPanel
A patch panel in an Equinix IBX data center, as returned by the Equinix Internet Access (EIA) v1 product-availability lookup GET /internetAccess/v1/patchPanels.

This is a read-only response view.

  • Method Details

    • getNumber

      String getNumber()
      Returns:
      the patch panel number
    • getCustomerRefNumber

      String getCustomerRefNumber()
      Returns:
      the customer reference number of the patch panel
    • getType

      PatchPanelType getType()
      Returns:
      the patch panel type
    • getPrewired

      Boolean getPrewired()
      Returns:
      whether the patch panel is prewired
    • getAvailablePortsCount

      Integer getAvailablePortsCount()
      Returns:
      the number of available ports
    • getAvailablePorts

      List<Integer> getAvailablePorts()
      Returns:
      the available port numbers
    • getOwnedPortsCount

      Integer getOwnedPortsCount()
      Returns:
      the number of owned (used or reserved) ports
    • getOwnedPorts

      List<PatchPanelOwnedPort> getOwnedPorts()
      Returns:
      the owned (used or reserved) ports
    • getMediaTypes

      List<String> getMediaTypes()
      Returns:
      the media types supported by the patch panel
    • getDedicatedMediaType

      String getDedicatedMediaType()
      Returns:
      the dedicated media type of the patch panel, if any
    • getCage

      CageRef getCage()
      Returns:
      the cage that contains the patch panel
    • getCabinet

      CabinetRef getCabinet()
      Returns:
      the cabinet that contains the patch panel
    • getLocation

      IbxLocation getLocation()
      Returns:
      the IBX location of the patch panel
    • getAccount

      SecureCageAccount getAccount()
      Returns:
      the customer billing account that owns the patch panel